=== debian/changelog ===
sratom (0.6.8-1) unstable; urgency=medium

  * New upstream version 0.6.8
  * Disable doc build for now, missing sphinx_lv2_theme
  * Bump S-V to 4.5.1, no changes needed
  * Refresh patchset, drop obsolete reproducible-build patch
  * Remove unnessecary LDFLAGS from d/rules
  * Fix including buildtools.mk
  * d/watch: Update pgpsigurlmangle for asc files

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 14 Jan 2021 20:37:11 +0100
