## sratom 0.6.10

=== wscript ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-SRATOM_VERSION       = '0.6.8'
+SRATOM_VERSION       = '0.6.10'
 SRATOM_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
@@ -37,6 +37,7 @@
 
     conf.env.BUILD_SHARED = not Options.options.no_shared
     conf.env.BUILD_STATIC = Options.options.static
+    conf.env.SRATOM_MAJOR_VERSION = SRATOM_MAJOR_VERSION
 
     if not conf.env.BUILD_SHARED and not conf.env.BUILD_STATIC:
         conf.fatal('Neither a shared nor a static build requested')
