=== debian/changelog ===
sratom (0.6.10-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Dennis Braun ]
  * New upstream version 0.6.10
  * Refresh patchset
  * Bump Standards Version to 4.6.1
  * Comment out libsratom-dev suggests for now
  * d/watch: Set pgpmode=auto

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 31 May 2022 16:43:44 +0200
