=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
 Build-Depends:
  debhelper-compat (= 13),
  libserd-dev (>= 0.30),
- libsord-dev (>= 0.14),
+ libsord-dev,
  lv2-dev (>= 1.16),
  pkg-config,
  python3:native,
 #Build-Depends-Indep:
 # doxygen,
 # graphviz
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://drobilla.net/software/sratom/
 Vcs-Git: https://salsa.debian.org/multimedia-team/sratom.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/sratom
@@ -27,15 +27,15 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libserd-dev (>= 0.18.0~),
- libsord-dev (>= 0.12.0~dfsg0),
+ libserd-dev,
+ libsord-dev,
  libsratom-0-0 (= ${binary:Version}),
  lv2-dev,
  ${misc:Depends}
 Recommends:
  pkg-config
-Suggests:
- libsratom-doc
+#Suggests:
+# libsratom-doc
 Description: library for serialising LV2 atoms to/from Turtle - development files
  Sratom is a new C library for serialising LV2 atoms to/from Turtle.
  It is intended to be a full serialisation solution for LV2 atoms,
