=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://download.drobilla.net/sratom-(.*)\.tar\.bz2
