=== debian/changelog ===
sratom (0.6.14-1) unstable; urgency=medium

  * New upstream version 0.6.14
  * Build with meson
  * Drop obsolete patch
  * d/copyright: Update year and add myself to the d/ section
  * d/copyright: Remove waf entry and BSD license
  * d/watch: Check for .gz and .xz files too
  * Remove obsolete d/clean
  * Add salsa ci config

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 13 Sep 2022 23:05:28 +0200
