=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  libserd-dev (>= 0.30),
  libsord-dev,
  lv2-dev (>= 1.16),
+ meson,
  pkg-config,
  python3:native,
 #Build-Depends-Indep:
