=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildtools.mk
PKG_CONFIG ?= pkg-config
CONFIG += docs strict

%:

	dh $@ --buildsystem=meson

override_dh_installchangelogs:
	dh_installchangelogs NEWS
