## sratom 0.6.16

=== meson_options.txt ===
# Copyright 2021-2023 David Robillard <d@drobilla.net>
# SPDX-License-Identifier: 0BSD OR ISC

option('docs', type: 'feature', value: 'auto', yield: true,
       description: 'Build documentation')

option('html', type: 'feature', value: 'auto', yield: true,
       description: 'Build paginated HTML documentation')

option('singlehtml', type: 'feature', value: 'auto', yield: true,
       description: 'Build single-page HTML documentation')

option('tests', type: 'feature', value: 'auto', yield: true,
       description: 'Build tests')

option('title', type: 'string', value: 'Sratom',
       description: 'Project title')
