=== debian/changelog ===
sratom (0.6.16-1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:48:28 +0200

sratom (0.6.16-1) unstable; urgency=medium

  * New upstream version 0.6.16
  * debian/rules: Remove left-overs from waf
  * debian/control: Bump libsord-dev dependency

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 11 Nov 2023 00:28:27 +0100
