=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sratom
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
@@ -9,7 +10,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  libserd-dev (>= 0.30),
- libsord-dev,
+ libsord-dev (>= 0.16.16),
  lv2-dev (>= 1.16),
  meson,
  pkg-config,
