=== debian/changelog ===
sratom (0.6.18-1) unstable; urgency=medium

  * New upstream version 0.6.18
  * Bump Standards-Version to 4.7.0
  * Bump d/copyright years and add files licensed under 0BSD license
  * pkg-config -> pkgconf
  * Change my email address

 -- Dennis Braun <snd@debian.org>  Sun, 09 Feb 2025 17:04:34 +0100
