=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: sratom
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
- Dennis Braun <d_braun@kabelmail.de>
+ Dennis Braun <snd@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libserd-dev (>= 0.30),
  libsord-dev (>= 0.16.16),
  lv2-dev (>= 1.16),
  meson,
- pkg-config,
+ pkgconf,
  python3:native,
 #Build-Depends-Indep:
 # doxygen,
 # graphviz
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://drobilla.net/software/sratom/
 Vcs-Git: https://salsa.debian.org/multimedia-team/sratom.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/sratom
@@ -35,7 +34,7 @@
  lv2-dev,
  ${misc:Depends}
 Recommends:
- pkg-config
+ pkgconf
 #Suggests:
 # libsratom-doc
 Description: library for serialising LV2 atoms to/from Turtle - development files
