## sratom 0.6.20

=== debian/changelog ===
sratom (0.6.20-1) unstable; urgency=medium

  * New upstream version 0.6.20
  * Update d/watch to version 5
  * Bump Standards-Version to 4.7.2
  * Remove redudant rules-requires-root-no field

 -- Dennis Braun <snd@debian.org>  Wed, 19 Nov 2025 18:19:35 +0100
