=== debian/control ===
--- 
+++ 
@@ -17,11 +17,10 @@
 #Build-Depends-Indep:
 # doxygen,
 # graphviz
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://drobilla.net/software/sratom/
 Vcs-Git: https://salsa.debian.org/multimedia-team/sratom.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/sratom
-Rules-Requires-Root: no
 
 Package: libsratom-dev
 Section: libdevel
