## sratom 0.6.22

=== debian/changelog ===
sratom (0.6.22-1) unstable; urgency=medium

  * New upstream version 0.6.22
  * Remove redundant priority optional field
  * Bump Standards-Version to 4.7.3
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Tue, 03 Mar 2026 18:19:13 +0100
