=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sratom
 Section: libs
-Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
@@ -17,7 +16,7 @@
 #Build-Depends-Indep:
 # doxygen,
 # graphviz
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://drobilla.net/software/sratom/
 Vcs-Git: https://salsa.debian.org/multimedia-team/sratom.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/sratom
